<template>
  <div class="height_100 patentNoSearch" >
    <el-input
        type="textarea"
        :autosize="{ minRows: 8}"
        placeholder="号码之间可以使用空格或者换行以及逗号进行分隔；"
        v-model="NO">
    </el-input>
    <div class="foot_btn">
        <el-button type="danger" plain size="small" style="width:100px" @click="cancel">清空</el-button>
        <el-button type="primary" size="small" style="width:100px" @click="search">检索</el-button>
    </div>
  </div>
</template>

<script>
export default {
    name:'patentNoSearch',
  components: {},
  props:['DBType','editData'],
  data() {
    return {
        NO:''
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {
    if(this.editData && this.editData.component == 'patentNoSearch'){
      if(this.editData.data){
        this.$set(this,'NO',this.editData.data)
      }     
    }
  },
  methods: {
    cancel(){
        this.$set(this,'NO','')
    },
    search(){
        var a =''
        var params = {
            DBType:this.DBType,
            component:'patentNoSearch',
            data:this.NO
        }
        this.$emit('search',a.trim(),params)
    },
  },
};
</script>
<style lang="scss" scoped>
.patentNoSearch{
    margin-top: 15px;
}
.foot_btn{
    margin-top: 15px;
        display:flex;
        justify-content: right;
        flex-direction: row;
        &>*{
            margin: 0;
            margin-left: 10px;
        }
    }
</style>